using System;

namespace Quadarax.Foundation.QConsole.Value
{
    public class GuidValue : AbstractValue
    {
        public GuidValue() : base()
        {

        }

        public GuidValue(Guid value) : base(typeof(Guid), value)
        {
        }

        protected override object ConvertStringToValue(string valueAsString)
        {
            return valueAsString;
        }

        public override string AsString()
        {
            return HasValue ? Get().ToString() : string.Empty;
        }
    }
}
